Can't type my password after cold boot

Bug #1255558 reported by DonnieD on 2013-11-27
604
This bug affects 155 people
Affects Status Importance Assigned to Milestone
unity-greeter (Ubuntu)
High
Unassigned

Bug Description

Can't type my password after cold boot unless I change my keyboard layout to next (or change and then re-change to same layout)

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: lightdm 1.9.3-0ubuntu1
ProcVersionSignature: Ubuntu 3.12.0-4.10-generic 3.12.1
Uname: Linux 3.12.0-4-generic x86_64
ApportVersion: 2.12.7-0ubuntu1
Architecture: amd64
Date: Wed Nov 27 16:27:13 2013
InstallationDate: Installed on 2013-11-19 (7 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20131119)
SourcePackage: lightdm
UpgradeStatus: No upgrade log present (probably fresh install)

DonnieD (donnied) wrote :
DonnieD (donnied) wrote :

By the way then I hit Caps Lock password field alerts me about Capital letters, so keyboard input somewhat messed maybe.

DonnieD (donnied) wrote :

Also after I type password and hit enter, logging in took too long.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lightdm (Ubuntu):
status: New → Confirmed
ionash. (janusz-arch) wrote :

Same here, on my laptop and desktop. When I turn on on-screen keyboard, or change keyboard layout, I can type password (not using on-screen keyboard) - without this, typing is impossible.

ionash. (janusz-arch) wrote :
ionash. (janusz-arch) wrote :
Edwin Pujols (edwinpm5) wrote :

If I right-click the password entry, it gets activated and I can type too...

Graeme Hewson (ghewson) wrote :

It went away for me today after applying updates.

GizmoChicken (gizmochicken) wrote :

This problem still affects me, even after applying updates. As reported above by ionash, I am able to type (using my physical keyboard) in my password after I turn on the on-screen keyboard. But without first turning on the on-screen keyboard, my physical keyboard isn't recognized.

Robert Ancell (robert-ancell) wrote :

This is probably not in lightdm (the daemon) but in Unity Greeter, the indicators or X. But worth keeping open here until debugged.

Changed in lightdm (Ubuntu):
importance: Undecided → High
GizmoChicken (gizmochicken) wrote :

Thanks Robert. Not sure if it helps, but I'll just add that the bug occurs for me when using either an Nvidia GeForce GT610 or AMD Radeon HD6670 video card. Also, the bug occurs for me when using either the appropriate open source driver or the appropriate proprietary driver. Also, I'll just add that this problem does NOT affect me in any circumstances under 13.10.

Michael Murphy (mmstick) wrote :

It hasn't happened on my HD 4870 machine. Only on my HD 6850 machines.

Norbert (nrbrtx) wrote :

Same for me - can't enter password on cold boot even when I have empty home directory (with deleted hidden files and folders).
If I restart X manually from Ctrl+Alt+F1 terminal with 'sudo service lightdm restart' it works as expected.

I use proprietary Nvidia driver on my laptop with GT425M.

Norbert (nrbrtx) wrote :

Installed all updates - bug exists.

Alan (alanjas) wrote :

I have all packages updated. For me works the Edwin Pujol solution: right click and works.

exploder91 (d-cosner) wrote :

I noticed that when Plymouth displays on start up I have to click on EN in the Unity greeter to type my password. When Plymouth does not display on start up I can type in my password in the greeter like normal. I am using the open source drivers with an NVidea GT 200.

My install is fully up to date as far as updates go and I am running 14.04 x64. Hope this is of some help.

Michael Murphy (mmstick) wrote :

Still doesn't affect my Radeon HD 7950 machine using Catalyst, although it does affect my HD 6850 machines if they are using Catalyst. Open source drivers for the HD6850s doesn't have this issue.

exploder91 (d-cosner) wrote :

I tried the right click suggestion for the greeter and it does allow me to type my password the same as when I click on the language in the greeter. This does appear to be a be a bug with the Unity greeter and the languages feature.

Edwin Pujols (edwinpm5) wrote :

I confirm that the after logging in, the wait is too long before Unity loads.

Edwin Pujols (edwinpm5) wrote :

... and here's the greeter log.

Joseph Wakeling (webdrake) wrote :

I'm getting this too on a ThinkPad T420 with Intel graphics; my workaround is to select the (apparently already-selected!) keyboard layout on the login page, after which I can click and type password.

Once logged in, the keyboard layout is then invariably set to English (US) despite the fact that I've just selected English (UK) on the login page. There's no reason that I can see why this should be so from /etc/default/keyboard or from what's in the Ubuntu settings.

Norbert (nrbrtx) wrote :

Installed all updates on Ubuntu 14.04. Bug exists. I have video nouveau driver.

Edwin Pujols (edwinpm5) wrote :

I cannot reproduce this bug on a Dell Inspiron 1520.

OTOH, on my HP nx7400 with Logitech K120 USB keyboard, the bug is reproducible (I think it's not the USB keyboard, though, I've tried without it been plugged).

Sebastien Bacher (seb128) wrote :

bug #1271566 states it might be due to lightdm-remote-session, though that might be a workaround/changing timing and avoid the bug by luck

Pavlo Bohmat (bohm) wrote :

Could not enter a password, need sign in as a guest-session or 'sudo /etc/init.d/lightdm restart' after this input (lightdm) works.
USB keyboard A4TECH model: KLS-5UP

@Pavio You can right click on the password entry and that should enable it.

On Thu, Jan 30, 2014 at 5:45 AM, Pavlo Bohmat <email address hidden> wrote:

> Could not enter a password, need sign in as a guest-session or 'sudo
> /etc/init.d/lightdm restart' after this input (lightdm) works.
> USB keyboard A4TECH model: KLS-5UP
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1255558
>
> Title:
> Can't type my password after cold boot
>
> Status in “lightdm” package in Ubuntu:
> Confirmed
>
> Bug description:
> Can't type my password after cold boot unless I change my keyboard
> layout to next (or change and then re-change to same layout)
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: lightdm 1.9.3-0ubuntu1
> ProcVersionSignature: Ubuntu 3.12.0-4.10-generic 3.12.1
> Uname: Linux 3.12.0-4-generic x86_64
> ApportVersion: 2.12.7-0ubuntu1
> Architecture: amd64
> Date: Wed Nov 27 16:27:13 2013
> InstallationDate: Installed on 2013-11-19 (7 days ago)
> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64
> (20131119)
> SourcePackage: lightdm
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/1255558/+subscriptions
>

Norbert (nrbrtx) wrote :

It seems that there are two phases during lightdm initialization:
1. User login and Guest session are shown.
2. User login, Guest session and Remote login are shown.

I can enter my password only on 2-nd stage. Can anybody confirm this?

affects: lightdm (Ubuntu) → unity-greeter (Ubuntu)
Changed in unity-greeter (Ubuntu):
status: Confirmed → Triaged
tags: added: ubuntu-desktop-trusty
Barry Drake (b-drake) wrote :

I suggest that the original report may be a duplicate of #1264543 and not the other way round.

Charles Profitt (cprofitt) wrote :

Barry:

This bug was reported before yours... yours before mine... so ours are duplicates.

Ryan Riegel (rriegs) wrote :

I've found that I cannot enter my password at bootup (only Caps Lock has any effect on my keyboard) until I interact with *any* of the menu items in the upper right of the LightDM greeter (not just the keyboard layout). After clicking on any of them, I can press Esc to close the menu and then type my password normally. On the other hand, clicking to change to a guest login and back, clicking to change the session, or clicking elsewhere on the screen fails to restore keyboard functionality.

Tested on a Vaio VPCEB47GM. My other input devices (a touchpad and a Logitech USB wireless mouse) always work.

Barry Drake (b-drake) wrote :

A workaround is to set the default desktop manager to gdm. gdm is not installed in Trusty, so you need to do sudo apt-get install gdm
In my case, I was given the option to make gdm the default during installation. If not, you need to edit /etc/X11/default-display-manager after installing gdm
GDM is a bit slower than lightdm so you might want to stay with things as is. You can always edit the default back to lighdm

Barry Drake (b-drake) wrote :

I've taken a look at the LightDM bugs page. This bug has been reported there as https://bugs.launchpad.net/lightdm/+bug/1277386 I've confirmed it, but as it was reported by someone running Trusty, I'm not convinced it is an upstream bug. There seems to be no other reference to this problem in LightDM.

no longer affects: unity-greeter
Norbert (nrbrtx) wrote :

Made a clean install of Ubuntu 14.04 - bug exists.

Norbert (nrbrtx) wrote :

As note to my comment 35 - remote session is not shown, but I can't enter password to login.

Michael Murphy (mmstick) wrote :

I still don't have this bug at all on any of my AMD machines using the open source graphics drivers.

john ferrier (john-j-ferrier) wrote :

Just freshly installed Ubuntu 14.04 LTS daily build and found this problem after power down and power up.

john ferrier (john-j-ferrier) wrote :

For me it doesn't ALWAYS happenm but OFTEN happens!

Barry Drake (b-drake) wrote :

From all of the above, I believe that this is motheboard dependent. Michael Murphy doesn't have the problem on 'any of his AMD machines' Great! I'm running and AMD motherboard and processor and I do have the problem. Please can someone collate the motherboard details that have been uploaded and see if there is a common factor. PLEASE .....

Barry Drake (b-drake) wrote :

For me (answering John Ferrier) it is round about every second or third boot.

Charles Profitt (cprofitt) wrote :

I have a Lenovo T530, X230 and both have the issue.

breezer (jgbreezer) wrote :

Mine is a self-build with AMD Turks graphics card and on-board amd card
I've got disabled in the BIOS, using fglrx, motherboard is an older
Gigabyte GA-MA69G-s3h (AM2 board with AM2+ chip, upgraded BIOS to cope with
it).

'twas a fresh install of 14.04 to a new drive, but I do have an older one
(12.04 iirc) it offered to upgrade but I said no as the last time I did
that it left me partly broken and complaining about crashing apps fairly
regularly (on radeon drivers) as I tend to make quite a few changes to
files and adding extra software.

One other oddity I see is that sometimes, maybe consistently after coming
out of suspend (not sure yet), it comes back at 60Hz monitor refresh rate
although a fresh start will use 85Hz as I tried to force by editing
~/.config/monitors.xml - starting up the amdccc1e thingummy will fix it
automatically sometimes/can re-apply it manually, but its a bit odd. Not
proven whether I have the issue on radeon drivers too.

On 24 February 2014 22:57, Charles Profitt <email address hidden>wrote:

> I have a Lenovo T530, X230 and both have the issue.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1255558
>
> Title:
> Can't type my password after cold boot
>
> Status in "unity-greeter" package in Ubuntu:
> Triaged
>
> Bug description:
> Can't type my password after cold boot unless I change my keyboard
> layout to next (or change and then re-change to same layout)
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: lightdm 1.9.3-0ubuntu1
> ProcVersionSignature: Ubuntu 3.12.0-4.10-generic 3.12.1
> Uname: Linux 3.12.0-4-generic x86_64
> ApportVersion: 2.12.7-0ubuntu1
> Architecture: amd64
> Date: Wed Nov 27 16:27:13 2013
> InstallationDate: Installed on 2013-11-19 (7 days ago)
> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64
> (20131119)
> SourcePackage: lightdm
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1255558/+subscriptions
>

shclim (shclim) wrote :

Same here on a Macbook 4,1. i.e., Sometimes I can not type my password in as key presses are not recognised, but if I select the (already selected) keyboard layout then the keyboard starts to work.

breezer (jgbreezer) wrote :

I just discovered that re plugging in my usb mouse via a direct us port
made it work again and I don't get this problem when it is in one of those
ports. It only happens when the mouse is plugged in via a us hub. Maybe
that isn't re initialised properly on resume, it's a cheap unpowered usb2
hub. The power led for it stays on during suspend.
 On 3 Mar 2014 13:05, "Scott Hosking" <email address hidden> wrote:

> Same here on a Macbook 4,1. i.e., Sometimes I can not type my password
> in as key presses are not recognised, but if I select the (already
> selected) keyboard layout then the keyboard starts to work.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1255558
>
> Title:
> Can't type my password after cold boot
>
> Status in "unity-greeter" package in Ubuntu:
> Triaged
>
> Bug description:
> Can't type my password after cold boot unless I change my keyboard
> layout to next (or change and then re-change to same layout)
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: lightdm 1.9.3-0ubuntu1
> ProcVersionSignature: Ubuntu 3.12.0-4.10-generic 3.12.1
> Uname: Linux 3.12.0-4-generic x86_64
> ApportVersion: 2.12.7-0ubuntu1
> Architecture: amd64
> Date: Wed Nov 27 16:27:13 2013
> InstallationDate: Installed on 2013-11-19 (7 days ago)
> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64
> (20131119)
> SourcePackage: lightdm
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1255558/+subscriptions
>

Phil Norbeck (ptn107) wrote :

Added my duplicate #1287254. Affects me 100% of the time. Clean installed daily x64 image 03-02-14.

Edwin Pujols (edwinpm5) wrote :

Please don't add more "Me too" comments, it's only adding to the noise. As
you can see the bug has been marked as "Triaged" (there's enough
information for a developer to act on it). Now, let's be patient.

Workaround: Open a menu, be it righting clicking on the password entry or
opening one of the indicators on the top right. The password entry should
be responsive afterwards.

On Mon, Mar 3, 2014 at 12:56 PM, Phil Norbeck <email address hidden> wrote:

> *** This bug is a duplicate of bug 1287254 ***
> https://bugs.launchpad.net/bugs/1287254
>
> Added my duplicate #1287254. Affects me 100% of the time. Clean
> installed daily x64 image 03-02-14.
>
> ** This bug has been marked a duplicate of bug 1287254
> Can't type on login screen
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1255558
>
> Title:
> Can't type my password after cold boot
>
> Status in “unity-greeter” package in Ubuntu:
> Triaged
>
> Bug description:
> Can't type my password after cold boot unless I change my keyboard
> layout to next (or change and then re-change to same layout)
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: lightdm 1.9.3-0ubuntu1
> ProcVersionSignature: Ubuntu 3.12.0-4.10-generic 3.12.1
> Uname: Linux 3.12.0-4-generic x86_64
> ApportVersion: 2.12.7-0ubuntu1
> Architecture: amd64
> Date: Wed Nov 27 16:27:13 2013
> InstallationDate: Installed on 2013-11-19 (7 days ago)
> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64
> (20131119)
> SourcePackage: lightdm
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1255558/+subscriptions
>

john ferrier (john-j-ferrier) wrote :

Most of the people don't know the Ubuntu's way to fix a bug. The bug has been triaged, but it's nothing until it it assigned to somebody!

Edwin Pujols (edwinpm5) wrote :

@john It does mean something... It means that unless we are providing a fix/patch we are mostly adding noise to the bug report and drowning possible workarounds.

amauricio (amauricio-al) wrote :

The problem only affects me if I do not start session immediately and let the computer rest a few minutes after turning on the notebook.
If I turn on the notebook and immediately start session this problem does not occur to me.

Joe6832 (manfred-gron) wrote :

The Problem affects me with every start. I think the "Wifi-is-Connected Message" could dissolve the focus of the Password-Field.

It would be nice if the bug will be solved in the next Beta from "Trusty Tahr" because this bug could uncertain new users :)

breezer (jgbreezer) wrote :

Joe, am on cabled network on a desktop and I don't see the new connection
message or other notification that would cause this.
On 8 Mar 2014 17:10, "Joe6832" <email address hidden> wrote:

> The Problem affects me with every start. I think the "Wifi-is-Connected
> Message" could dissolve the focus of the Password-Field.
>
> It would be nice if the bug will be solved in the next Beta from "Trusty
> Tahr" because this bug could uncertain new users :)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1255558
>
> Title:
> Can't type my password after cold boot
>
> Status in "unity-greeter" package in Ubuntu:
> Triaged
>
> Bug description:
> Can't type my password after cold boot unless I change my keyboard
> layout to next (or change and then re-change to same layout)
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: lightdm 1.9.3-0ubuntu1
> ProcVersionSignature: Ubuntu 3.12.0-4.10-generic 3.12.1
> Uname: Linux 3.12.0-4-generic x86_64
> ApportVersion: 2.12.7-0ubuntu1
> Architecture: amd64
> Date: Wed Nov 27 16:27:13 2013
> InstallationDate: Installed on 2013-11-19 (7 days ago)
> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64
> (20131119)
> SourcePackage: lightdm
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1255558/+subscriptions
>

Sebastien Bacher (seb128) wrote :

It would be useful to have a "xwininfo -tree -root" info from a buggy boot ... Robert, do you think you could make unity-greeter call that and write the info in the log (in a ppa at least)? That might give us a clue of what is happening

Norbert (nrbrtx) wrote :

xwininfo for lightdm 1.9.8-0ubuntu1 and unity-greeter 14.04.3-0ubuntu1 for buggy boot.
As I remember this version is old, it has Remote Session.
I'll make a xwininfo log on my other Ubuntu 14.04 install - it's clean install and has -proposed updates.

Ernie 07 (ernestboyd) wrote :

I too cannot always enter my password.
64-bit Desktop 14.04 2014-03-10 07:49 iso
Fiddling with right-click, etc. enabled password input

LGB [Gábor Lénárt] (lgb) wrote :

Same here, 32 bit up-to-date (daily updated) 14.04 32 bit on a Lenovo L520 notebook. I can't type password at lightdm login screen, and not even able to move up/down (to select user to log in as) with the keyboard. Just click on the AT icon (without actually selecting anything from there eg onboard keyboard etc) it fixes the problem and then I can type password move up/down to select user and of course able to log in then.

Jorge Rivera (gio107) wrote :

I have the same issue.
14.04 64 bit on a Toshiba Satellite S55 notebook.
Updated daily.

I can enable the password input when I re-select my keyboard.

-------------

I have a different problem that might or might not be related: when I suspend my computer, sometimes I can't enter my password when prompted. Keyboard does not respond. Selecting "Switch user" takes my to greeter, but I cannot enable the keyboard with the re-selection trick.

Ernie 07 (ernestboyd) wrote :

A non-technical person managed to cause a system to crash a few minutes after she entered a certain sequence of keystrokes on a terminal that was NOT logged on. The programmer failed to flush the buffer and accepted contamination as well as logon commands. So I have attempted to use her non-technical methods to work around this problem.

Click on the word Guest.
Click on your user name.
Right click and select "select all"
Put the mouse pointer over the text box then press backspace.

Now you should be able to enter your password.

Charles Profitt (cprofitt) wrote :

I just installed the latest daily build 3-15-2014 and I am not having the issue any more. Can others confirm?

JaSauders (jasauders) wrote :

I'm running Friday's daily build (3/14/2014), fully up to date as apt-get update && apt-get dist-upgrade yields nothing available, and I am still having this issue. In fact out of 12 to 15 boots I only saw it twice, but just not I had to reboot about 14 times to get a boot that allowed me to log in.

Is there something in the 3/15 daily that the 3/14 excludes, even from a dist-upgrade level that might yield a fix?

JaSauders (jasauders) wrote :

Forgot to mention that clicking other items at the login screen often times allows me to type in my password. Also, typo correction from above comment - meant to say "just NOW I had to reboot..."

Julian Kranz (juliankranz) wrote :

I'm sorry if someone already said this: Uninstalling gnome-screensaver solved the problem for me.

Charles Profitt (cprofitt) wrote :

JaSauders:

I am not sure... I had a gap between running the beta. I have not had the issue since reinstalling the daily build. I am running 64bit.

Julian Kranz (juliankranz) wrote :

I very much believe that the problem is caused by gnome-screensaver. Is it possible that this is an upgrade issue? Is gnome-screensaver still installed if Ubuntu 14.04 is installed from scratch?

I believe that light-locker should be installed instead of gnome-screensaver. However, replacing gnome-screensaver by light-locker manually breaks the respective buttons in Unity and results in further bugs.

Charles Profitt (cprofitt) wrote :

gnome-screensaver is installed and it is version 3.6.1

However instead of getting the normal dialog box user name and password screen when waking up it now goes back to what looks to be the initial logon screen.

Julian Kranz (juliankranz) wrote :

I see... here it also seems to miss the option to change the user on the lock screen.

I have added test packages as attachments in this bug report - https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1278681.

Chris Moore (melonhead122908) wrote :

I tried this and I believe this does fix the issue.

I removed that package and the problem seems to have gone away.

On 03/16/2014 12:24 PM, Julian Kranz wrote:
> I very much believe that the problem is caused by gnome-screensaver. Is
> it possible that this is an upgrade issue? Is gnome-screensaver still
> installed if Ubuntu 14.04 is installed from scratch?
>
> I believe that light-locker should be installed instead of gnome-
> screensaver. However, replacing gnome-screensaver by light-locker
> manually breaks the respective buttons in Unity and results in further
> bugs.
>

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1255558

tags: added: iso-testing
Robert Ancell (robert-ancell) wrote :

You can run xwininfo after a boot by doing the following:
1. Switch to a text terminal (alt-ctrl-F1)
2. Log in
3. Run
$ export DISPLAY=:0
$ export XAUTHORITY=/var/run/lightdm/root/:0
$ xwininfo -tree -root

Robert Ancell (robert-ancell) wrote :

I've pushed a branch to lp:~robert-ancell/lightdm/wm-log that logs some information (will be in /var/log/lightdm/x-0-greeter.log) about when u-g thinks windows have appeared/disappeared and who it gave focus to.

The branch Alberts made seems to indicate it might be something in this code causing the problem.

returningshadow (reidwicks) wrote :

I updated, and this appears to be fixed. Can anyone confirm?

Hereinoz (davrosjos) wrote :

Sad to say that I did a full sudo apt-get update && sudo apt-get dist-upgrade this morning and got 2 boots where I could enter my password, then on the third, fourth & fifth boot, I was not able to enter the password.

Still not fixed.

Chris Moore (melonhead122908) wrote :

This appeared to be fixed for me after I removed the gnome-screensaver
package.

This weekend I will try doing a clean install of the latest daily build
and see what happens.

On 03/20/2014 04:07 PM, Hereinoz wrote:
> Sad to say that I did a full sudo apt-get update && sudo apt-get dist-
> upgrade this morning and got 2 boots where I could enter my password,
> then on the third, fourth & fifth boot, I was not able to enter the
> password.
>
> Still not fixed.
>

ajgreeny (ajg-charlbury) wrote :

Have all users who still have this bug affecting them tried installing the updated pacvkages available at posts 10 and 11 of the duplicate bug at https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1278681

It solved my problem completely.

Doug Smythies (dsmythies) wrote :

Yes, the package at posts 10 and 11 of the duplicate bug fixed the problem for me, however the merge proposal was rejected for some reason.

Reference:
https://code.launchpad.net/~albertsmuktupavels/unity-greeter/fix-for-1278681/+merge/211318

Robert Ancell (robert-ancell) wrote :

The problem turns out to be gnome-screensaver opening a window with override-redirect set to True. We didn't check that and gave it focus but it shouldn't have go it (it's not a standard window).

Changed in unity-greeter (Ubuntu):
status: Triaged → Fix Committed
Robert Ancell (robert-ancell) wrote :

The reason not everyone is seeing this is gnome-screensaver appears to be starting on some greeters but not others. This is being investigated in bug 1245474

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-greeter - 14.04.5-0ubuntu1

---------------
unity-greeter (14.04.5-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Don't focus windows that set override-redirect. This was causing a
      gnome-screensaver window to get focus when it shouldn't. (LP: #1255558)
 -- Robert Ancell <email address hidden> Fri, 21 Mar 2014 14:52:22 +1300

Changed in unity-greeter (Ubuntu):
status: Fix Committed → Fix Released
Hereinoz (davrosjos) wrote :

As a basic user with little programming ability, I am eternally grateful for your efforts in fixing this sort of thing. Many thanks.

fpissarra (fredericopissarra) wrote :

I'm getting the sabe behavior, but a little bit stranger:

After a cold boot the login screen is totally frozen (no mouse pointer, not resposive to keyboard). When I press the power button of my computer it shows a window asking me for reboot or power down (which I can't answer)... After the power down, the second boot works perfectly...

The unity-greeter package installed on my Ubuntu is 14.04.9-0ubuntu1

Ryan Tandy (rtandy) wrote :

fpissarra, although your symptoms sound similar to this bug, I don't think it's likely to be the same one: for example this bug never affected the mouse pointer. Please file a new bug using "ubuntu-bug unity-greeter".

Evgeny Illarionov (evgsurf) wrote :

I have the same problem sometimes after screen saver activated.
I guess the problem is VirtualBox witn Win7. If last active application is VirtualBox with Win7 all keyboard stream go to in Windows but not in password field. Usually I use change user way to reactivate password field.

Also keyboard layout switcher does not work from keybord (Ctrl+Shift) complitly (I change it by mouse)

William Smith (wrsmith-y) wrote :

I am seeing this on two of my computers. My system has sent 3-4 bug reports, when I have rebooted it from tty4. (now I know it is a UI focus problem from the comments)

Danie Palm (palm86) wrote :

I have the latest unit-greeter package installed (14.04.10-0ubuntu1) and have only recently started seeing this bug on my desktop. Clicking on the Settings menu and then in the password field again, solves the problem. I have noticed that my password is typed into whatever program had focus before focus was returned to the password field. This does not necessarily happen on a cold boot, but after suspend. It does not happen on my laptop (also using latest package).

I have this bug running that latest 14.04.x after suspend

This recently began happening (within the past week or so) on my ASUS Q500A upon wake from suspend. The original clean install 14.04 was fine.

Umang Varma (umang) wrote :

It seems there hasn't been a discussion on this bug thread about this being a security issue. (See https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1261818/comments/14)

I can confirm that this is a security issue because the focus seems to be held by an open window "below" LightDM, instead of LightDM, and that window (e.g. terminal or web browser) is able to capture all keystrokes typed on a locked screen.

Like most people here, I've been affected only for the last week or so and it only happens on suspend.

Umang Varma (umang) wrote :

I seem to have posted somewhat hastily. If this bug has been marked as Fix Released, maybe we should file a new bug?

To post a comment you must log in.